Bug 566263 - [5.6 FEAT] New package: servicelog-0.2.9
[5.6 FEAT] New package: servicelog-0.2.9
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: distribution (Show other bugs)
5.6
All All
low Severity high
: rc
: 5.6
Assigned To: RHEL Product and Program Management
Ondrej Hudlicky
: FutureFeature
Depends On:
Blocks: ibm5.7feat/ibm5.7features
  Show dependency treegraph
 
Reported: 2010-02-17 13:21 EST by IBM Bug Proxy
Modified: 2010-10-18 15:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-21 16:33:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 60504 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-02-17 13:21:19 EST
1. Feature Overview:
Feature Id: [60504]
a. Name of Feature: [5.6 FEAT] New package: servicelog-0.2.9
b. Feature Description
servicelog packages is not currently present in the RHEL5 series, but is important for IBM Director
and other management tools.  This is a request to add servicelog-0.2.9 to RHEL5.6.

Source code can be obtained from: 
http://sourceforge.net/projects/linux-diag/files/servicelog-0.2.9/0.2.9/servicelog-0.2.9.tar.gz/download

2. Feature Details:
Sponsor: Power RAS
Architectures:
  ppc64

Arch Specificity: purely arch specific code
Affects Kernel Modules: No
Delivery Mechanism: Direct from Community
Category: system management
Request Type: Package - Version Update
d. Upstream Acceptance: No Code Required
Sponsor Priority P3
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:
---

3. Business Case
Some third party applications, such as IBM Director, require servicelog in order to access and
modify system events, such as hardware errors or maintenance such as adapter replacements. 
Servicelog is essential for the smooth management of a Power server, using Director.


4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael W. Wortman, wortman@us.ibm.com

Technical contact(s):
BRAD PETERS, bpeters@us.ibm.com
Comment 2 John Jarvis 2010-04-21 12:17:33 EDT
IBM, has this package been requested for RHEL 6?  If it is not accepted for RHEL 6 it will not be accepted for RHEL 5.6 as the lost functionality would be considered a regression.
Comment 3 IBM Bug Proxy 2010-04-21 20:01:25 EDT
------- Comment From bpeters@linux.vnet.ibm.com 2010-04-21 19:58 EDT-------
Hi John,

Update request was indeed made for RHEL6 in IBM BZ#60845 (not sure of RHBZ#).  Currently asking Mike Wortman what the status is on that request.
Comment 4 IBM Bug Proxy 2010-04-23 13:10:38 EDT
------- Comment From bpeters@linux.vnet.ibm.com 2010-04-23 13:07 EDT-------
Hi John,

After a bit more investigation, that servicelog package-add request (IBM BZ60845) was made was too late for RHEL6, so it was targeting RHEL6.1 instead.  Thus, we are left without servicelog on RHEL6, and indeed this could be viewed as a regression.
Comment 5 John Jarvis 2010-04-23 13:15:22 EDT
Hi Brad,

Thanks for the update.  Unfortunately we won't be able to consider this for RHEL 5.x until it goes into a version of RHEL 6.x so we will go ahead and Nak it for 5.6 but please request it for RHEL 6.1 when we begin taking requests for that release and after that you can request it again for the RHEL 5.x release at that point, probably 5.7.

Thanks,
John
Comment 6 John Jarvis 2010-04-29 18:22:05 EDT
Is https://bugzilla.redhat.com/show_bug.cgi?id=463284 the RHEL 6.0 request for this package?  If so it is already in VERIFIED state so we should indeed review this for RHEL 5.6 inclusion.
Comment 7 John Jarvis 2010-04-30 12:54:04 EDT
Adding Roman to cc:
Comment 10 John Jarvis 2010-09-21 16:33:50 EDT
Out of capacity to do this for RHEL 5.6, closing as DEFERRED and adding to the IBM 5.7 tracker

Note You need to log in before you can comment on or make changes to this bug.